#pragma once
#include "main.h"
#include "myModel.h"

class myTriangle : public myModel
{
public:
	myTriangle(void);
	~myTriangle(void);

	virtual bool init();
	virtual void draw();
	virtual void clean();

private:
	typedef struct s_myVertex {
		float x,y,z,rhw;
		DWORD color;
	} myVertex;

	DWORD					m_vFormat;
	int						m_vCount;
	LPDIRECT3DVERTEXBUFFER9	m_vBuffer;
};
